<div>
  <h2 id="page-heading" data-cy="PenerimaKuasaHeading">
    <span>Penerima Kuasas</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-penerima-kuasa"
        [routerLink]="['/penerima-kuasa/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Penerima Kuasa</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (penerimaKuasas?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Penerima Kuasas found</span>
    </div>
  }

  @if (penerimaKuasas && penerimaKuasas.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="titel">
              <div class="d-flex">
                <span>Titel</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nama">
              <div class="d-flex">
                <span>Nama</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="komparisi">
              <div class="d-flex">
                <span>Komparisi</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tts">
              <div class="d-flex">
                <span>Tts</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="sk">
              <div class="d-flex">
                <span>Sk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tanggalSk">
              <div class="d-flex">
                <span>Tanggal Sk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noKontak">
              <div class="d-flex">
                <span>No Kontak</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="recordStatus">
              <div class="d-flex">
                <span>Record Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateBy">
              <div class="d-flex">
                <span>Update By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateOn">
              <div class="d-flex">
                <span>Update On</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (penerimaKuasa of penerimaKuasas; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/penerima-kuasa', penerimaKuasa.id, 'view']">{{ penerimaKuasa.id }}</a>
              </td>
              <td>{{ penerimaKuasa.titel }}</td>
              <td>{{ penerimaKuasa.nama }}</td>
              <td>{{ penerimaKuasa.komparisi }}</td>
              <td>{{ penerimaKuasa.tts }}</td>
              <td>{{ penerimaKuasa.sk }}</td>
              <td>{{ penerimaKuasa.tanggalSk | formatMediumDate }}</td>
              <td>{{ penerimaKuasa.noKontak }}</td>
              <td>{{ penerimaKuasa.recordStatus }}</td>
              <td>{{ penerimaKuasa.updateBy }}</td>
              <td>{{ penerimaKuasa.updateOn | formatMediumDatetime }}</td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/penerima-kuasa', penerimaKuasa.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/penerima-kuasa', penerimaKuasa.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(penerimaKuasa)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (penerimaKuasas && penerimaKuasas.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
